lists.openwall.net   lists  /  announce  owl-users  owl-dev  john-users  john-dev  passwdqc-users  yescrypt  popa3d-users  /  oss-security  kernel-hardening  musl  sabotage  tlsify  passwords  /  crypt-dev  xvendor  /  Bugtraq  Full-Disclosure  linux-kernel  linux-netdev  linux-ext4  linux-hardening  linux-cve-announce  PHC 
Open Source and information security mailing list archives
 
Hash Suite: Windows password security audit tool. GUI, reports in PDF.
[<prev] [next>] [thread-next>] [day] [month] [year] [list]
Date:	Sat, 13 Jul 2013 10:40:41 +0300
From:	Alexandru Juncu <alexj@...edu.org>
To:	unlisted-recipients:; (no To-header on input)
Cc:	alexj@...edu.org, linux-kernel@...r.kernel.org
Subject: [RFC] Script for isolating maintainer email.

Hello!

I found the need for a script that doesn't require me to copy part of the
output from get_maintainer.pl into git send-email and could do both with
one command.

I don't know if there is something similar already implemented. If there is,
please point me to it. If not, maybe somebody finds it useful.

Used on top of get_maintainer.pl, it generates the list of
emails required for git send-email.

The output can be used as a process expansion into the arguments of
git send-email. Example:

git send-email $(scripts/get_email.sh my.patch) my.patch

Signed-off-by: Alexandru Juncu <alexj@...edu.org>
---
 scripts/get_email.sh |   24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)
 create mode 100755 scripts/get_email.sh

diff --git a/scripts/get_email.sh b/scripts/get_email.sh
new file mode 100755
index 0000000..a71d56d
--- /dev/null
+++ b/scripts/get_email.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+if [ -e scripts/get_maintainer.pl ]; then
+	if [ $# -lt 1 ]; then
+		echo "Script needs a patch file as a parameter."
+	exit 1
+fi
+
+	IFS=$'\n'
+	for line in $(scripts/get_maintainer.pl $1); do
+		email_regexp="\b[a-zA-Z0-9.-]+@[a-zA-Z0-9.-]+\.[a-zA-Z0-9.-]+\b"
+		email=$(grep -E -o $email_regexp<<<$line)
+		if [ $(grep "maintainer" <<< $line) ]; then
+			list="$list --to $email"
+		else
+			list="$list --cc $email"
+		fi
+	done
+	echo $list
+
+else
+	echo "You should run this from the root of the source tree."
+	exit 1
+fi
-- 
1.7.10.4

--
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@...r.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html
Please read the FAQ at  http://www.tux.org/lkml/

Powered by blists - more mailing lists

Powered by Openwall GNU/*/Linux Powered by OpenVZ